#1  
Alt 01.08.2020, 14:02
pascho pascho ist offline
Benutzer
 
Registriert seit: 16.06.2020
Beiträge: 87
Frage Familienbande unter Linux

Hallo Zusammen,




ich stehe etwas auf dem Schlauch, da ich nicht so der Programmierer vor dem Herrn bin und keine Ahnung habe, wo ich mit der Fehlersuche anfangen soll.


Mein Rechner hat sowohl Windows 10 als auch Linux Ubuntu Cinnamon Sylvia drauf, wobei ich Windows eigentlich nur für die Nutzung von PR2 aktiviert habe.


Bekanntermaßen bin ich ja dabei ein OFB zu erstellen wobei ich Tauf-, Heirats- und Sterberegister seit gestern vollständig erfasst habe. Jetzt wäre die Feinarbeit dran. Leider hat sich herausgestellt, daß Gramps für diese Arbeiten nur bedingt geeignet ist weshalb ich auf Familienbande in der Linux-Version umsteigen wollte. Die Windowsversion läuft bei mir ohne Probleme, aber unter Linux bekomme ich das Programm nicht ans laufen.


Die Zip-Datei wurde problemlos heruntergeladen und extrahiert.


Die Programm-Datei konnte ich über den Terminal mit sudo chmod +x auch als ausführbare Datei markieren.


Wenn ich jetzt in den Programmordner gehe und die Datei mit Doppelklick zu aktivieren versuche, passiert: gar nichts


Ich bekomme keine Fehlermeldung, keine Abbruchmeldung, nichts.


Hat jemand eine Idee wie ich die Datei jetzt auch praktisch ausführe?





Vielen Dank.
__________________
Viele Grüße Pascal
Mit Zitat antworten
  #2  
Alt 01.08.2020, 14:26
sonki sonki ist offline
Erfahrener Benutzer
 
Registriert seit: 10.05.2018
Beiträge: 2.261
Standard

Starte mal von der Konsole aus..dann sollte zumindestens eine Fehlermeldung erscheinen.

Ansonsten, hast du die Systemanforderungen von der Webseite beachtet?
https://www.familienbande-genealogie.de/linux.html
__________________
Private Nachrichten möglichst vermeiden!
Mit Zitat antworten
  #3  
Alt 01.08.2020, 14:42
pascho pascho ist offline
Benutzer
Themenstarter
 
Registriert seit: 16.06.2020
Beiträge: 87
Standard

Den Start von der Konsole aus habe ich nicht hinbekommen, aber das Problem ist gelöst:



Mein Fehler war die 32-bit-Version zu nehmen.


Mit der 64-bit-Version bekam ich dann die Fehlermeldung, daß eine Komponente libwebkit fehlte.


Die konnte ich mit apt-get download libwebkitgtk-3.0-0 nachinstallieren.


Jetzt läufts.


Vielen Dank.
__________________
Viele Grüße Pascal
Mit Zitat antworten
  #4  
Alt 01.08.2020, 14:50
sonki sonki ist offline
Erfahrener Benutzer
 
Registriert seit: 10.05.2018
Beiträge: 2.261
Standard

Ok,

ich hatte es grad mit dem Linux-Subsystem unter Win10 probiert und nachdem ich ein paar Blibliotheken nachinstalliert hatte und mit z.b. XMing einen X-Server unter Win10 installiert hatte, konnte ich es auch problemlos starten (ohne ein "echtes" Linux installiert zu haben).
Gut zu wissen, wie man graphische Programme unter dem Linux-Subsystem zum laufen bekommt, aber ok, das ist hier jetzt offtopic
__________________
Private Nachrichten möglichst vermeiden!

Geändert von sonki (01.08.2020 um 14:52 Uhr)
Mit Zitat antworten
  #5  
Alt 01.08.2020, 15:49
pascho pascho ist offline
Benutzer
Themenstarter
 
Registriert seit: 16.06.2020
Beiträge: 87
Standard

Bei mir hat zwar der Testlauf funktioniert, aber nach Neustart bekommt ich die Meldung wegen fehlendem libwebkit immer noch, obwohl das Paket installiert ist. *frust*
__________________
Viele Grüße Pascal
Mit Zitat antworten
  #6  
Alt 02.08.2020, 06:51
nix nix ist offline
Benutzer
 
Registriert seit: 21.06.2018
Beiträge: 64
Standard

Ich würde mich da einfach mal an den Entwickler wenden. Herr Mettenbrink ist ein netter Kerl, der niemandem für solche Fragend en Kopf abreißt.
Mit Zitat antworten
  #7  
Alt 02.08.2020, 12:21
pascho pascho ist offline
Benutzer
Themenstarter
 
Registriert seit: 16.06.2020
Beiträge: 87
Standard

Herrn Mettenbrink hab' ich gestern schon mal angeschrieben. Ich hoffe, das Problem liegt tatsächlich beim Programm liegt und nicht an meinem Ubuntu.
__________________
Viele Grüße Pascal
Mit Zitat antworten
Antwort

Lesezeichen

Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln
Es ist Ihnen nicht erlaubt, neue Themen zu verfassen.
Es ist Ihnen nicht erlaubt, auf Beiträge zu antworten.
Es ist Ihnen nicht erlaubt, Anhänge hochzuladen.
Es ist Ihnen nicht erlaubt, Ihre Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.

Gehe zu

Alle Zeitangaben in WEZ +2. Es ist jetzt 22:08 Uhr.